"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWallet = void 0;
const bs58_1 = __importDefault(require("bs58"));
const web3_js_1 = require("@solana/web3.js");
const utils_1 = require("./cjs/utils");
const createWallet = () => {
    let keypair = web3_js_1.Keypair.generate();
    if (!(0, utils_1.isNull)(keypair)) {
        let publicKey = keypair.publicKey.toBase58();
        let privateKey = bs58_1.default.encode(keypair.secretKey);
        return { publicKey, privateKey };
    }
    else {
        return null;
    }
};
exports.createWallet = createWallet;
